Bug 698646 - fedpkg - annoying bash completion
Summary: fedpkg - annoying bash completion
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-packager
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-21 13:19 UTC by Marcela Mašláňová
Modified: 2013-01-10 06:35 UTC (History)
4 users (show)

Fixed In Version: fedora-packager-0.5.9.2-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-10 13:31:57 UTC


Attachments (Terms of Use)

Description Marcela Mašláňová 2011-04-21 13:19:01 UTC
fedpkg now offers in bash-completion also fedpkg-fixbranches.py instead of fedpkg only. Is it a bug? Could it be removed?

Comment 1 Jesse Keating 2011-04-21 17:34:01 UTC
Not sure what you're saying here.  Are you saying that having both "fedpkg" and "fedpkg-fixbranches.py" means you have to add a space after tabbing to 'fedpkg' before you can tab complete the rest of fedpkg options?

fedpkg-fixbranches.py is somewhat temporary, I suppose I could move it to somewhere that is out of the normal path to avoid tab completion issues.  Is that what you're asking?

Comment 2 Marcela Mašláňová 2011-04-22 06:20:22 UTC
(In reply to comment #1)
> Not sure what you're saying here.  Are you saying that having both "fedpkg" and
> "fedpkg-fixbranches.py" means you have to add a space after tabbing to 'fedpkg'
> before you can tab complete the rest of fedpkg options?
> 
> fedpkg-fixbranches.py is somewhat temporary, I suppose I could move it to
> somewhere that is out of the normal path to avoid tab completion issues.  Is
> that what you're asking?

That's exactly what I'd like to see. Thank you.

Comment 3 Jesse Keating 2011-05-23 22:49:38 UTC
Next build will have this script live in /usr/libexec/

Comment 4 Fedora Update System 2011-05-28 01:14:21 UTC
fedora-packager-0.5.9.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.2-1.fc15

Comment 5 Fedora Update System 2011-05-28 01:20:28 UTC
fedora-packager-0.5.9.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.2-1.fc14

Comment 6 Fedora Update System 2011-05-28 01:22:11 UTC
fedora-packager-0.5.9.2-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.2-1.fc13

Comment 7 Fedora Update System 2011-05-28 01:26:54 UTC
fedora-packager-0.5.9.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.2-1.el6

Comment 8 Fedora Update System 2011-05-28 01:28:32 UTC
fedora-packager-0.5.9.2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.2-1.el5

Comment 9 Fedora Update System 2011-05-28 21:32:38 UTC
Package fedora-packager-0.5.9.2-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing fedora-packager-0.5.9.2-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.2-1.el6
then log in and leave karma (feedback).

Comment 10 Mamoru TASAKA 2011-05-30 14:13:04 UTC
I voted -1 to this change.

Comment 11 Fedora Update System 2011-06-10 13:31:25 UTC
fedora-packager-0.5.9.2-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-06-15 05:47:49 UTC
fedora-packager-0.5.9.2-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-06-15 05:52:56 UTC
fedora-packager-0.5.9.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-06-16 00:29:47 UTC
fedora-packager-0.5.9.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-06-16 00:32:54 UTC
fedora-packager-0.5.9.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.